%define name fwbuilder
%define version 3.0.0
%define release %mkrel 1

Name: %{name}
Summary: Firewall Builder
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPLv2+
Group: System/Configuration/Networking
Source: http://downloads.sourceforge.net/fwbuilder/%name-%version.tar.gz
Patch0: fwbuilder-3.0.0-recognize-mandriva.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext-devel
BuildRequires:	glibc-static-devel 
BuildRequires:	libfwbuilder-devel >= %{version}
BuildRequires:	qt4-devel

%description
Firewall administration tool.

%prep
%setup -q
%patch0 -p0

%build

%{__libtoolize} --force --copy
%{__aclocal}
%{__autoconf}
%configure2_5x \
		--with-templatedir=%{_datadir}/%{name} --with-docdir=%{_datadir}/doc/%{name}
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make INSTALL_ROOT="${RPM_BUILD_ROOT}/" install

# delete uneeded hidden files
rm -rf $RPM_BUILD_DIR/%name-%version/doc/.obj
rm -rf $RPM_BUILD_DIR/%name-%version/doc/.moc

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Wed Sep 03 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-1mdv2009.0
+ Revision: 279413
- 3.0.0 beta

* Mon Sep 01 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.511.1mdv2009.0
+ Revision: 278181
- New beta 511

* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.504.1mdv2009.0
+ Revision: 277726
- New beta 504

* Sat Aug 30 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.496.1mdv2009.0
+ Revision: 277554
- New beta 496

* Thu Aug 28 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.492.1mdv2009.0
+ Revision: 276843
- new beta 492

* Wed Aug 27 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.486.1mdv2009.0
+ Revision: 276452
- New beta 486

* Thu Aug 21 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.480.1mdv2009.0
+ Revision: 274521
- new beta 480

* Tue Aug 19 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.478.1mdv2009.0
+ Revision: 273990
- New beta 478

* Mon Aug 18 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.474.1mdv2009.0
+ Revision: 273175
- New beta 474

* Sun Aug 17 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.471.1mdv2009.0
+ Revision: 273118
- New beta 471

* Thu Aug 14 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.468.1mdv2009.0
+ Revision: 272108
- new beta 468

* Wed Aug 13 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.465.1mdv2009.0
+ Revision: 271314
- New beta 465

* Tue Aug 12 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.461.1mdv2009.0
+ Revision: 271133
- new beta 461

* Mon Aug 11 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.458.1mdv2009.0
+ Revision: 270671
- new beta 458

* Wed Aug 06 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.456.1mdv2009.0
+ Revision: 264548
- New beta 456

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.452.1mdv2009.0
+ Revision: 263988
- New beta 452
- new beta 449
- recognize mandriva rather than mandrake

* Sun Aug 03 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.445.1mdv2009.0
+ Revision: 262226
- should be 48x48
- patch0 merged upstream
- New beta 445
- update description
- add gcc 4.3 patch
- new snapshot 442

* Thu Jul 31 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.429.1mdv2009.0
+ Revision: 257465
- New snapshot 429

* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.427.1mdv2009.0
+ Revision: 254501
- New snapshot 427

* Mon Jul 28 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.421.1mdv2009.0
+ Revision: 250807
- New snapshot 421

* Fri Jul 25 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.414.1mdv2009.0
+ Revision: 249799
- New snapshot
- add icons

* Fri Jul 25 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.413.1mdv2009.0
+ Revision: 249174
- New snapshot 413
- add desktop file

* Tue Jul 22 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.406.1mdv2009.0
+ Revision: 239941
- New snapshot 406

* Tue Jul 22 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-0.404.1mdv2009.0
+ Revision: 239917
- should be INSTALL_ROOT
- use INTSTALLROOT
- New snapshot 404
- update gcc43 patch
- New version 3.0.0 beta 393

* Tue May 20 2008 Funda Wang <fundawang@mandriva.org> 2.1.19-1mdv2009.0
+ Revision: 209594
- New version 2.1.19

* Sat May 17 2008 Funda Wang <fundawang@mandriva.org> 2.1.18-1mdv2009.0
+ Revision: 208299
- New version 2.1.18

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 2.1.16-1mdv2008.1
+ Revision: 161441
- New version 2.1.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 2.1.13-1mdv2008.0
+ Revision: 60369
- fix doc dir
- New version 2.1.13

* Sat Jun 02 2007 Stefan van der Eijk <stefan@mandriva.org> 2.1.11-1mdv2008.0
+ Revision: 34511
- 2.1.11


* Tue Mar 06 2007 Stefan van der Eijk <stefan@mandriva.org> 2.1.10-1mdv2007.0
+ Revision: 133665
- rebuild
- 2.1.10

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 2.1.9

* Sun Dec 10 2006 Stefan van der Eijk <stefan@mandriva.org> 2.1.8-1mdv2007.1
+ Revision: 94437
- 2.1.8
- 2.1.7

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-1mdv2007.0
+ Revision: 59075
- 2.1.5
- Import fwbuilder

* Mon Jul 24 2006 Olivier Blin <blino@mandriva.com> 2.0.12-2mdv2007.0
- rebuild for new glibc

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.0.12-1mdk
- 2.0.12

* Thu Jan 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-5mdk
- Rebuild for net-snmp with new major (10) --> cluster contamination!

* Wed Jan 18 2006 Michael Scherer <misc@mandriva.org> 2.0.10-4mdk
- fix build on amd64

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-3mdk
- rebuilt against new net-snmp with new major (10)

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-2mdk
- rebuilt against net-snmp that has new major (9)

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 2.0.10-1mdk
- 2.0.10

* Wed Sep 28 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9

* Fri May 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-2mdk
- Fix Build For AMD64

* Fri May 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-1mdk
- New release 2.0.7

* Thu Feb 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Fri Dec 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Tue Sep 28 2004 Stefan van der Eijk <stefan@mandrake.org> 2.0.2-3mdk
- BuildRequires

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- rebuild

* Fri Sep 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2
- export qtdir

* Sat Aug 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

